package domain

type AlibabaWdkMarketingItembuygiftQueryitemsLimitInfo struct {
	/*
	   活动期间总限购     */
	TotalLimitCnt *int64 `json:"total_limit_cnt,omitempty" `

	/*
	   每人活动期间总限购     */
	UserLimitCnt *int64 `json:"user_limit_cnt,omitempty" `

	/*
	   每人每日限购     */
	UserDailyLimitCnt *int64 `json:"user_daily_limit_cnt,omitempty" `
}

func (s *AlibabaWdkMarketingItembuygiftQueryitemsLimitInfo) SetTotalLimitCnt(v int64) *AlibabaWdkMarketingItembuygiftQueryitemsLimitInfo {
	s.TotalLimitCnt = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftQueryitemsLimitInfo) SetUserLimitCnt(v int64) *AlibabaWdkMarketingItembuygiftQueryitemsLimitInfo {
	s.UserLimitCnt = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftQueryitemsLimitInfo) SetUserDailyLimitCnt(v int64) *AlibabaWdkMarketingItembuygiftQueryitemsLimitInfo {
	s.UserDailyLimitCnt = &v
	return s
}
